People & profiles

Update Hris Expense Settings

Updates org feature toggles (Persona, background check, expenses, stablecoin payroll) and expense policy caps.

POSThttps://api.toku.com/hris/update-hris-expense-settings

Not available to API keys yet. It will need organization:write.

curl --request POST \
  --url 'https://api.toku.com/hris/update-hris-expense-settings' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "isPersonaEnabled": true,
  "hrisRequireBackgroundCheck": true,
  "isHrisExpenseEnabled": true,
  "isContractorTimeOffEnabled": true,
  "hrisExpenseJustificationRequired": true,
  "isStableCoinPayrollEnabled": true,
  "isContractorStablecoinEnabled": true,
  "hrisExpenseAutoApproveThreshold": 0,
  "hrisExpensePerReportLimit": 0,
  "hrisExpensePerExpenseCap": 0,
  "hrisExpenseMonthlyCapPerSubmitter": 0,
  "hrisExpenseContractorPerReportLimit": 0
}'
200 response
{
  "success": true
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

isPersonaEnabledboolean
hrisRequireBackgroundCheckboolean
isHrisExpenseEnabledboolean
isContractorTimeOffEnabledboolean
hrisExpenseJustificationRequiredboolean
isStableCoinPayrollEnabledboolean
isContractorStablecoinEnabledboolean
hrisExpenseAutoApproveThresholdnumber | null

Allowed: 0 to 10000

hrisExpensePerReportLimitnumber | null

Allowed: 0 to 10000

hrisExpensePerExpenseCapnumber | null

Allowed: 0 to 1000000

hrisExpenseMonthlyCapPerSubmitternumber | null

Allowed: 0 to 1000000

hrisExpenseContractorPerReportLimitnumber | null

Allowed: 0 to 1000000

Response

200Successful response
successbooleanrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits